Subject: Re: [PATCH net-next v1 1/1] treewide: Rename ERR_PTR_PCPU() --> PCPU_ERR_PTR()

From: Jakub Kicinski <[email-masked]>
Date: Fri, 31 Oct 2025 16:49:58 -0700

On Thu, 30 Oct 2025 09:35:53 +0100 Andy Shevchenko wrote:
> Make the namespace of specific ERR_PTR() macro leading the thing.
> This is already done for IOMEM_ERR_PTR(). Follow the same pattern
> in PCPU_ERR_PTR().

TBH I find the current naming to be typical. _PCPU() is the "flavor" of
the API. Same as we usually append _rcu() to functions which expect
to operate under RCU. All error pointer helpers end with _PCPU().

I don't feel strongly so fine if anyone else wants to apply this.
But I will not :)